Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml.dom
Class WMLMetaElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.wml.dom.WMLElementImpl
                                    |
                                    +--weblogic.apache.wml.dom.WMLMetaElementImpl

public class WMLMetaElementImpl
extends WMLElementImpl
implements WMLMetaElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: WMLMetaElementImpl.java,v 1.1 2000/04/23 18:07:47 david Exp $
Author:
  David Li
See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Constructor Summary
`WMLMetaElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` | `getClassName()`
`java.lang.String` | `getContent()`
`boolean` | `getForua()`
`java.lang.String` | `getHttpEquiv()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getScheme()`
`void` | `setClassName(java.lang.String newValue)`
`void` | `setContent(java.lang.String newValue)`
`void` | `setForua(boolean newValue)`
`void` | `setHttpEquiv(java.lang.String newValue)`
`void` | `setId(java.lang.String newValue)`
`void` | `setName(java.lang.String newValue)`
`void` | `setScheme(java.lang.String newValue)`

Methods inherited from class weblogic.apache.wml.dom.WMLElementImpl
`getXmlLang, setXmlLang`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WMLMetaElementImpl

    public WMLMetaElementImpl(WMLDocumentImpl owner,
                              java.lang.String tagName)

Method Detail

### setForua

    public void setForua(boolean newValue)

  Specified by:
    setForua in interface WMLMetaElement

### getForua

    public boolean getForua()

  Specified by:
    getForua in interface WMLMetaElement

### setScheme

    public void setScheme(java.lang.String newValue)

  Specified by:
    setScheme in interface WMLMetaElement

### getScheme

    public java.lang.String getScheme()

  Specified by:
    getScheme in interface WMLMetaElement

### setClassName

    public void setClassName(java.lang.String newValue)

  Overrides:
    setClassName in class WMLElementImpl

### getClassName

    public java.lang.String getClassName()

  Overrides:
    getClassName in class WMLElementImpl

### setHttpEquiv

    public void setHttpEquiv(java.lang.String newValue)

  Specified by:
    setHttpEquiv in interface WMLMetaElement

### getHttpEquiv

    public java.lang.String getHttpEquiv()

  Specified by:
    getHttpEquiv in interface WMLMetaElement

### setId

    public void setId(java.lang.String newValue)

  Overrides:
    setId in class WMLElementImpl

### getId

    public java.lang.String getId()

  Overrides:
    getId in class WMLElementImpl

### setContent

    public void setContent(java.lang.String newValue)

  Specified by:
    setContent in interface WMLMetaElement

### getContent

    public java.lang.String getContent()

  Specified by:
    getContent in interface WMLMetaElement

### setName

    public void setName(java.lang.String newValue)

  Specified by:
    setName in interface WMLMetaElement

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface WMLMetaElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference